#### The ISAconfigurator allows for creation of XML files (configuration files) used to build spreadsheets in the ISAcreator and for validation in the creator and ISAvalidation code.

<p align="center">
<img src="http://isatools.files.wordpress.com/2011/09/isaconfig.png" alt="ISAcreator configurator"/>
</p>

- General info: <http://isa-tools.org>
- Tools' overview in this short paper: <http://bioinformatics.oxfordjournals.org/content/26/18/2354.full.pdf+html>
- Issue tracking and bug reporting: <https://github.com/ISA-tools/ISAconfigurator/issues>
- Mainline source code: <https://github.com/ISA-tools/ISAconfigurator>
- Twitter: [@isatools](http://twitter.com/isatools)
- IRC: [irc://irc.freenode.net/#isatab](irc://irc.freenode.net/#isatab)
- Development blog: [http://isatools.wordpress.com]

## Development

**Get the source:**

    You should ***fork*** the ISAconfigurator to your own GitHub "repository". Then clone this forked repository and start developing. When you make changes to the ISAconfigurator code, we can see the changes you made, review the code and merge with the main ISAconfigurator repository code base.

**Build dependencies:**
    These are all managed by Maven <http://maven.apache.org/>. 

### Refreshing your clone

A simple `git pull` will suffice!

### Contributing

The main ISAconfigurator source tree is hosted on git (a popular [DVCS](http://en.wikipedia.org/wiki/Distributed_revision_control)), thus you should create a fork of the repository in which you perform development. See <http://help.github.com/forking/>.

We prefer that you send a [*pull request* here on GitHub](http://help.github.com/pull-requests/) which will then be merged into the official main line repository. You need to sign the ISAtools CLA to be able to contribute (see below).

#### Contributor License Agreement

Before we can accept any contributions to ISAconfigurator, you need to sign a [CLA](http://en.wikipedia.org/wiki/Contributor_License_Agreement):

Please email us <isatools@googlegroups.com> to receive the CLA. Then you should sign this and send it back asap so we can add you to our development pool.

> The purpose of this agreement is to clearly define the terms under which intellectual property has been contributed to ISAconfigurator and thereby allow us to defend the project should there be a legal dispute regarding the software at some future time.

For a list of contributors, please see <http://github.com/ISA-tools/ISAconfigurator/contributors>

## License

CPAL License, available at <http://isatab.sourceforge.net/licenses/ISAconfigurator-license.html>